# -*- coding: utf-8 -*-
"""
Copyright (c) 2016 Biuro Urządzania Lasu i Geodezji Leśnej

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
OTHER DEALINGS IN THE SOFTWARE.
"""

#Marcin �liwa
import os
import Mapa_PU
from PyQt5 import QtWidgets, uic
from PyQt5.QtGui import * 
from PyQt5.QtCore import * 
import configparser

FORM_CLASS, _ = uic.loadUiType(os.path.join(os.path.dirname(__file__), 'o_programie.ui'))

class OProgramieDialog(QtWidgets.QDialog,FORM_CLASS):
    """Widok dla nazwy projektu"""
    def __init__(self,rodzic=None):
        """konstruktor"""
        super(OProgramieDialog,self).__init__(rodzic)
        self.setupUi(self)
        #self.setWindowFlags( Qt.Dialog | Qt.WindowTitleHint )
        self.setWindowFlags( Qt.Dialog)
        self.setWindowIcon(QIcon('%s\\ikony\\Logo_BULiGL.ico' % Mapa_PU.upul_modul.root))
        self.lbIkonaLasy.setPixmap(QPixmap('%s\\ikony\\logoLP.png' % Mapa_PU.upul_modul.root))
        self.lbIkonaBULiGL.setPixmap(QPixmap('%s\\ikony\\Logo_dlugie.png' % Mapa_PU.upul_modul.root))
        
        config = configparser.ConfigParser()
        config.read(os.path.join(Mapa_PU.upul_modul.root,'metadata.txt'))

        #=======================================================================
        nazwa=config.get('general', 'name')
       
        #=======================================================================
        wersja=config.get('general', 'version')
        self.lbWersja.setText('%s - wersja %s' % (nazwa,wersja))
     